GET /databases/mongodb/instances/{instanceId}/backups

linode.com

Summary: Managed MongoDB Database Backups List
Operation ID: getDatabasesMongoDBInstanceBackups
Auth: unknown
Description

Display all backups for an accessible Managed MongoDB Database. The Database must not be provisioning to perform this command. Database `auto` type backups are created every 24 hours at 0:00 UTC. Each `auto` backup is retained for 7 days. Database `snapshot` type backups are created by accessing the **Managed MongoDB Database Backup Snapshot Create** ([POST /databases/mongodb/instances/{instanceId}/backups](/docs/api/databases/#managed-mongodb-database-backup-snapshot-create)) command. **Note**: New MongoDB Databases cannot currently be created.

Parameters (3)

instanceId (integer, path, required)

The ID of the Managed MongoDB Database.

page (integer, query, optional, default: 1)

The page of a collection to return.

Constraints: {'minimum': 1}

page_size (integer, query, optional, default: 100)

The number of items to return per page.

Constraints: {'minimum': 25, 'maximum': 500}

No probe data for this endpoint yet.